Subject: Re: [PATCH] remote-curl: send Accept-Language header to server

From: Junio C Hamano <[email-masked]>
Date: Tue, 05 Jul 2022 10:53:49 -0700

"[email-masked]" <[email-masked]> writes:

> I wonder if we can use a new protocol-capability like local-lang
> or something else, then Git client and server can tell each
> other's language ability in the negotiation stage.

That is how I read Ævar's message you were responding to.

Having said that, a mechanism that applies only to HTTP transport
was already there, and the patch in question recognises that the
coverage of the mechanism is incomplete even within the HTTP
codepath and attempts to make it more complete.  Unless we are
planning to deprecate the HTTP specific mechanism and replace it
with protocol-capability to cover other protocols in the same way,
I do not think it is a bad idea to have it.

Thanks.